da198e
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
da198e
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
da198e
Date: Mon, 21 Feb 2022 14:58:40 -0500
da198e
Subject: [PATCH] helpers.bash: Use correct syntax
da198e
da198e
Fixes gating test failure:
da198e
```
da198e
 /usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
da198e
 ```
da198e
da198e
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
da198e
da198e
I'm just the committer.
da198e
da198e
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
da198e
---
da198e
 tests/helpers.bash | 8 ++++----
da198e
 1 file changed, 4 insertions(+), 4 deletions(-)
da198e
da198e
diff --git a/tests/helpers.bash b/tests/helpers.bash
da198e
index bd2794c974..3e72108bec 100644
da198e
--- a/tests/helpers.bash
da198e
+++ b/tests/helpers.bash
da198e
@@ -433,9 +433,9 @@ function skip_if_rootless() {
da198e
 ##################################
da198e
 function skip_if_rootless_and_cgroupv1() {
da198e
     if test "$BUILDAH_ISOLATION" = "rootless"; then
da198e
-	if !is_cgroupsv2; then
da198e
-		skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
da198e
-	fi
da198e
+        if ! is_cgroupsv2; then
da198e
+            skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
da198e
+        fi
da198e
     fi
da198e
 }
da198e
 
da198e
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
da198e
 #  skip_if_cgroupsv1  #  Some tests don't work with cgroupsv1
da198e
 #######################
da198e
 function skip_if_cgroupsv1() {
da198e
-    if !is_cgroupsv2; then
da198e
+    if ! is_cgroupsv2; then
da198e
         skip "${1:-test does not work with cgroups v1}"
da198e
     fi
da198e
 }